nxt.env

## Class MacUserDirProvider

- java.lang.Object
- - nxt.env.UnixUserDirProvider
  - - nxt.env.MacUserDirProvider

- All Implemented Interfaces:
    DirProvider

      public class MacUserDirProvider
      extends UnixUserDirProvider

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `LOG_FILE_PATTERN`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MacUserDirProvider()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.io.File` | `getConfDir()`
    `java.lang.String` | `getDbDir(java.lang.String dbDir)`
    `java.io.File` | `getLogFileDir()`
    `boolean` | `isLoadPropertyFileFromUserDir()`
    `void` | `updateLogFileHandler(java.util.Properties loggingProperties)`

    - ### Methods inherited from class nxt.env.UnixUserDirProvider

      `getUserHomeDir`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### LOG_FILE_PATTERN

          public static final java.lang.String LOG_FILE_PATTERN

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### MacUserDirProvider

          public MacUserDirProvider()

  - ### Method Detail

    - #### isLoadPropertyFileFromUserDir

          public boolean isLoadPropertyFileFromUserDir()

      Specified by:
        `isLoadPropertyFileFromUserDir` in interface `DirProvider`

    - #### updateLogFileHandler

          public void updateLogFileHandler(java.util.Properties loggingProperties)

      Specified by:
        `updateLogFileHandler` in interface `DirProvider`

    - #### getLogFileDir

          public java.io.File getLogFileDir()

      Specified by:
        `getLogFileDir` in interface `DirProvider`

    - #### getDbDir

          public java.lang.String getDbDir(java.lang.String dbDir)

      Specified by:
        `getDbDir` in interface `DirProvider`

    - #### getConfDir

          public java.io.File getConfDir()

      Specified by:
        `getConfDir` in interface `DirProvider`